import {getCars} from './getCars';

import {generateReport} from './generateReport';

import {select,json,geoPath,geoMercator,tsv,zoom,event} from 'd3';
import {feature} from 'topojson'; //potrebujem transformovat topojson na geojson s kt. pracuje d3.js

const projection = geoMercator() 
	.scale(7000)
	//.rotate([-0.5, 0.5, 0]) 
	.center([19.6990, 48.6690]); 
 const pathGenerator = geoPath().projection(projection);
 const svg=select('svg');
 const g=svg.append('g');
     // svg.style('background-color','white');
  svg.call(zoom().on('zoom',()=>{
  		g.attr('transform',event.transform);
  }));
 /* g.append('path')
   .attr('class','sphere')
   .attr('d',pathGenerator({type:'Sphere'}));
*/
  Promise.all([// for coupling premises into one scope
  		 tsv('okresy.tsv'),
       json('okresy.json')
  ]).then(([tsvData,topoJSONdata])=>{
     	// console.log(data); 
        const countries = feature(topoJSONdata,topoJSONdata.objects.gadm36_SVK_2);
    		const countryName=tsvData.reduce((accumulator,d)=>{
           accumulator[d.okres]=d.okres;
           return accumulator;
        }, {});
    
       /* const countryName = {};//iny sposob
           tsvData.forEach(d=> {
           countryName[d.iso_n3]=d.name;
        });
       */ 
       // console.log(countries);
    console.log(countryName);
       
    
       g.selectAll('path').data(countries.features)
         .enter().append('path')
          .attr('class','country')
          .attr('d',pathGenerator)
            .append('title')
               // .text('Hello');
                  .text(d=>countryName[d.properties.NAME_2]);
  } );

 
 

  json('https://unpkg.com/world-atlas@1.1.4/world/110m.json')
     .then(data => {//it is a promise
    
	});


    
		
























getCars().then(cars => {
  const message2 = generateReport(cars,3000);
document.getElementById("message2").textContent=message2; 
});




